use serde::{Deserialize, Serialize};
use std::path::PathBuf;

#[derive(Serialize, Deserialize, PartialEq, Eq, Debug)]
pub struct Read {
    pub source: SourceType,
    pub format: SourceFormat,
}

#[derive(Serialize, Deserialize, PartialEq, Eq, Debug)]
pub enum SourceType {
    File(PathBuf),
}

#[derive(Serialize, Deserialize, PartialEq, Eq, Debug)]
pub enum SourceFormat {
    Jpeg,
    Png,
}
