use serde::{Deserialize, Serialize};
use std::path::PathBuf;

#[derive(Serialize, Deserialize, PartialEq, Eq, Debug)]
pub struct Write {
    pub target: TargetType,
    pub format: TargetFormat,
}

#[derive(Serialize, Deserialize, PartialEq, Eq, Debug)]
pub enum TargetType {
    File(PathBuf),
}

#[derive(Serialize, Deserialize, PartialEq, Eq, Debug)]
pub enum TargetFormat {
    Jpeg,
    Png,
}
